GDCM: gdcm::Parser Class Reference

GDCM 3.2.11

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
gdcm::Parser Class Reference

Parser ala XML_Parser from expat (SAX). More...

`#include <gdcmParser.h>`

## Public Types
typedef void(*) | EndElementHandler(void *userData, const Tag &name)
enum | ErrorType { NoError , NoMemoryError , SyntaxError , NoElementsError , TagMismatchError , DuplicateAttributeError , JunkAfterDocElementError , UndefinedEntityError , UnexpectedStateError }
typedef void(*) | StartElementHandler(void *userData, const Tag &tag, const char *atts[])

## Public Member Functions
| Parser ()
| ~Parser ()
unsigned long | GetCurrentByteIndex () const
ErrorType | GetErrorCode () const
void * | GetUserData () const
bool | Parse (const char *s, int len, bool isFinal)
void | SetElementHandler (StartElementHandler start, EndElementHandler end)
void | SetUserData (void *userData)

## Static Public Member Functions
static const char * | GetErrorString (ErrorType const &err)

## Protected Member Functions
char * | GetBuffer (int len)
bool | ParseBuffer (int len, bool isFinal)
ErrorType | Process ()

## Detailed Description

Parser ala XML_Parser from expat (SAX).

Detailed description here

Note
  Simple API for DICOM

## Member Typedef Documentation

## ◆ EndElementHandler

typedef void(*) gdcm::Parser::EndElementHandler(void *userData, const Tag &name)

## ◆ StartElementHandler

typedef void(*) gdcm::Parser::StartElementHandler(void *userData, const Tag &tag, const char *atts[])

## Member Enumeration Documentation

## ◆ ErrorType

enum gdcm::Parser::ErrorType

Enumerator
NoError |
NoMemoryError |
SyntaxError |
NoElementsError |
TagMismatchError |
DuplicateAttributeError |
JunkAfterDocElementError |
UndefinedEntityError |
UnexpectedStateError |

## Constructor & Destructor Documentation

## ◆ Parser()

gdcm::Parser::Parser | ( |  | ) |
| inline

References NoError.

## ◆ ~Parser()

gdcm::Parser::~Parser | ( |  | ) |
| inline

## Member Function Documentation

## ◆ GetBuffer()

char * gdcm::Parser::GetBuffer | ( | int | len | ) |
| protected

## ◆ GetCurrentByteIndex()

unsigned long gdcm::Parser::GetCurrentByteIndex | ( |  | ) | const

## ◆ GetErrorCode()

ErrorType gdcm::Parser::GetErrorCode | ( |  | ) | const

## ◆ GetErrorString()

const char * gdcm::Parser::GetErrorString | ( | ErrorType const & | err | ) |
| static

## ◆ GetUserData()

void * gdcm::Parser::GetUserData | ( |  | ) | const

## ◆ Parse()

bool gdcm::Parser::Parse | ( | const char * | s,
|  | int | len,
|  | bool | isFinal )

## ◆ ParseBuffer()

bool gdcm::Parser::ParseBuffer | ( | int | len,
|  | bool | isFinal )
| protected

## ◆ Process()

ErrorType gdcm::Parser::Process | ( |  | ) |
| protected

## ◆ SetElementHandler()

void gdcm::Parser::SetElementHandler | ( | StartElementHandler | start,
|  | EndElementHandler | end )

## ◆ SetUserData()

void gdcm::Parser::SetUserData | ( | void * | userData | ) |

The documentation for this class was generated from the following file:

- gdcmParser.h